# OpenRecall - Take Control of Your Digital Memory

OpenRecall is a fully open-source, privacy-first alternative to proprietary solutions like Microsoft's Windows Recall or Limitless' Rewind.ai. With OpenRecall, you can easily access your digital history, enhancing your memory and productivity without compromising your privacy.

<blockquote class="twitter-tweet"><p lang="en" dir="ltr">This is a Black Mirror episode. <br><br>Definitely turning this "feature" off. <a href="https://t.co/bx1KLqLf67">https://t.co/bx1KLqLf67</a></p>&mdash; Elon Musk (@elonmusk) <a href="https://twitter.com/elonmusk/status/1792690964672450971?ref_src=twsrc%5Etfw">May 20, 2024</a></blockquote> <script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>

## What does it do?

OpenRecall captures your digital history through regularly taken snapshots, which are essentially screenshots. The text and images within these screenshots are analyzed and made searchable, allowing you to quickly find specific information by typing relevant keywords into OpenRecall. You can also manually scroll back through your history to revisit past activities.

## Why Choose OpenRecall?

OpenRecall offers several key advantages over closed-source alternatives:

- **Transparency**: OpenRecall is 100% open-source, allowing you to audit the source code for potential backdoors or privacy-invading features.
- **Cross-platform Support**: OpenRecall works seamlessly on Windows, macOS, and Linux, giving you the freedom to use it on your preferred operating system.
- **Privacy-focused**: Your data is stored locally on your device, and you have the option to encrypt it with a password for added security. No cloud integration is required.
- **Hardware Compatibility**: OpenRecall is designed to work with a wide range of hardware, unlike proprietary solutions that may require specific certified devices.

## Features

- **Time Travel**: Go back in time and revisit your digital activities on Windows, macOS, or Linux.
- **Local-first AI**: OpenRecall leverages local AI processing to ensure your data remains private and secure.
- **Encrypted Storage**: Optionally encrypt your local data with a password to protect against unauthorized access, even if your device is lost or stolen.
- **Pause Functionality**: Pause OpenRecall indefinitely or for a specified duration (e.g., 30 minutes) to maintain privacy when needed.
- **Exclude apps**: Exclude apps that you do not want to record

## Comparison

| Feature          | OpenRecall                    | Windows Recall                                  | Rewind.ai                              |
|------------------|-------------------------------|--------------------------------------------------|----------------------------------------|
| Transparency     | Open-source                   | Closed-source                                    | Closed-source                          |
| Supported Hardware | All                         | Copilot+ certified Windows hardware              | M1/M2 Apple Silicon                    |
| OS Support       | Windows, macOS, Linux         | Windows                                          | macOS                                  |
| Privacy          | On-device, self-hosted        | Microsoft's privacy policy applies               | Connected to ChatGPT                   |

## Roadmap

We have exciting plans for OpenRecall's future, including:

- Visual search capabilities
- Audio transcription for enhanced searchability

## Get Started

To start using OpenRecall, simply visit our GitHub repository, follow the installation instructions, and take control of your digital memory today!

## Contribute

As an open-source project, we welcome contributions from the community. If you'd like to help improve OpenRecall, please submit a pull request or open an issue on our GitHub repository.

## License

OpenRecall is released under the [AGPLv3](https://opensource.org/licenses/AGPL-3.0), ensuring that it remains open and accessible to everyone.